Skip to content

Get a device's NTRIP credentials​

GET
/devices/{id}/rtk/ntrip

Returns the configured NTRIP credentials for the device.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

Device ID

Type
integer
Required

Request example

Responses​

OK

application/json
JSON
{
  
"credentials": [
  
  
{
  
  
  
"deviceId": 0,
  
  
  
"hostname": "string",
  
  
  
"mountpoint": "string",
  
  
  
"password": "string",
  
  
  
"portNum": 0,
  
  
  
"priority": 0,
  
  
  
"username": "string"
  
  
}
  
],
  
"deviceId": 0
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value

OpenAPI definition ​

References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).

View endpoint OpenAPI definition
yaml
info:
  title: Lightbug API
  version: '2'
externalDocs:
  description: ''
  url: ''
openapi: 3.1.0
servers:
  - url: https://api.lightbug.cloud/v2
security:
  - ApiKeyAuth: []
tags: []
paths:
  /devices/{id}/rtk/ntrip:
    get:
      description: Returns the configured NTRIP credentials for the device.
      parameters:
        - description: Device ID
          in: path
          name: id
          required: true
          schema:
            type: integer
      responses:
'200':
yaml
          content:
            application/json:
              schema:
                properties:
                  credentials:
                    items:
                      properties:
                        deviceId:
                          type: integer
                        hostname:
                          type: string
                        mountpoint:
                          type: string
                        password:
                          type: string
                        portNum:
                          type: integer
                        priority:
                          type: integer
                        username:
                          type: string
                      type: object
                    type: array
                    uniqueItems: false
                  deviceId:
                    type: integer
                type: object
          description: OK
'400':
yaml
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Invalid device ID
'401':
yaml
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Unauthorized
'404':
yaml
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Device not found
'500':
yaml
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Failed to retrieve credentials
yaml
      security:
        - ApiKeyAuth: []
      summary: Get a device's NTRIP credentials
      tags:
        - rtk
      operationId: get-devices-id-rtk-ntrip
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey
      description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
      example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...